| QueryTest.php |
file |
core/tests/Drupal/KernelTests/Core/Database/QueryTest.php |
|
| QueryTest.php |
file |
core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php |
|
| QueryTest.php |
file |
core/modules/views_ui/tests/src/Functional/QueryTest.php |
|
| QueryTest.php |
file |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
|
| QueryTest.php |
file |
core/modules/views/tests/src/Kernel/Plugin/QueryTest.php |
|
| QueryTest::$allItems |
property |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
An array of stdClasses. |
| QueryTest::$conditions |
property |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
The conditions to apply to the query. |
| QueryTest::$defaultTheme |
property |
core/modules/views_ui/tests/src/Functional/QueryTest.php |
|
| QueryTest::$fields |
property |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
The list of fields. |
| QueryTest::$orderBy |
property |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
The field to order and the direction. |
| QueryTest::$query |
property |
core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php |
The query object. |
| QueryTest::$testViews |
property |
core/modules/views_ui/tests/src/Functional/QueryTest.php |
Views used by this test. |
| QueryTest::$testViews |
property |
core/modules/views/tests/src/Kernel/Plugin/QueryTest.php |
Views used by this test. |
| QueryTest::addField |
function |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
Adds a new field to a table. |
| QueryTest::addOrderBy |
function |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
Adds an ORDER BY clause to the query. |
| QueryTest::addWhere |
function |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
Adds a simple WHERE clause to the query. |
| QueryTest::build |
function |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
Implements Drupal\views\Plugin\views\query\QueryPluginBase::build(). |
| QueryTest::buildOptionsForm |
function |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
|
| QueryTest::calculateDependencies |
function |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
|
| QueryTest::defineOptions |
function |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
|
| QueryTest::ensureTable |
function |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
Ensures a table exists in the queue. |
| QueryTest::execute |
function |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
|
| QueryTest::match |
function |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
Check a single condition for a single element. |
| QueryTest::queryMethodsTests |
function |
core/modules/views/tests/src/Kernel/Plugin/QueryTest.php |
Tests methods provided by the QueryPluginBase. |
| QueryTest::setAllItems |
function |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
Sets the allItems property. |
| QueryTest::setFieldTimezoneOffset |
function |
core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php |
|
| QueryTest::setUp |
function |
core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php |
|
| QueryTest::testArrayArgumentsSQLInjection |
function |
core/tests/Drupal/KernelTests/Core/Database/QueryTest.php |
Tests SQL injection via database query array arguments. |
| QueryTest::testArraySubstitution |
function |
core/tests/Drupal/KernelTests/Core/Database/QueryTest.php |
Tests that we can pass an array of values directly in the query. |
| QueryTest::testConditionOperatorArgumentsSQLInjection |
function |
core/tests/Drupal/KernelTests/Core/Database/QueryTest.php |
Tests SQL injection via condition operator. |
| QueryTest::testNoBaseTable |
function |
core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php |
Tests entity query for entity type without base table. |
| QueryTest::testNoRevisionTable |
function |
core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php |
Tests revision entity query for entity type without revision table. |
| QueryTest::testNumericExpressionSubstitution |
function |
core/tests/Drupal/KernelTests/Core/Database/QueryTest.php |
Tests numeric query parameter expansion in expressions. |
| QueryTest::testQuery |
function |
core/modules/views/tests/src/Kernel/Plugin/QueryTest.php |
Tests query plugins. |
| QueryTest::testQueryUI |
function |
core/modules/views_ui/tests/src/Functional/QueryTest.php |
Tests query plugins settings. |
| QueryTest::testQuotingIdentifiers |
function |
core/tests/Drupal/KernelTests/Core/Database/QueryTest.php |
Tests quoting identifiers in queries. |
| QueryTest::testScalarSubstitution |
function |
core/tests/Drupal/KernelTests/Core/Database/QueryTest.php |
Tests that we can not pass a scalar value when an array is expected. |
| QueryTest::viewsData |
function |
core/modules/views_ui/tests/src/Functional/QueryTest.php |
|
| QueryTest::viewsData |
function |
core/modules/views/tests/src/Kernel/Plugin/QueryTest.php |
Provides Views metadata for the test data table. |
| QueryTest::_testInitQuery |
function |
core/modules/views/tests/src/Kernel/Plugin/QueryTest.php |
Tests the ViewExecutable::initQuery method. |
| QueryTest::_testQueryExecute |
function |
core/modules/views/tests/src/Kernel/Plugin/QueryTest.php |
Executes the views query, ensures it's not empty. |
| QueueExceptionsTest |
class |
core/tests/Drupal/Tests/Core/Queue/QueueExceptionsTest.php |
Tests queue exceptions. |
| QueueExceptionsTest.php |
file |
core/tests/Drupal/Tests/Core/Queue/QueueExceptionsTest.php |
|
| QueueExceptionsTest::testDelayedRequeueExceptionCallsParentConstructor |
function |
core/tests/Drupal/Tests/Core/Queue/QueueExceptionsTest.php |
Tests that the `DelayedRequeueException` calls parent constructor. |
| QueueSerializationTest |
class |
core/tests/Drupal/KernelTests/Core/Queue/QueueSerializationTest.php |
Tests serializing a form with an injected DatabaseQueue instance. |
| QueueSerializationTest.php |
file |
core/tests/Drupal/KernelTests/Core/Queue/QueueSerializationTest.php |
|
| QueueSerializationTest::$modules |
property |
core/tests/Drupal/KernelTests/Core/Queue/QueueSerializationTest.php |
|
| QueueSerializationTest::$queue |
property |
core/tests/Drupal/KernelTests/Core/Queue/QueueSerializationTest.php |
The queue object. |
| QueueSerializationTest::buildForm |
function |
core/tests/Drupal/KernelTests/Core/Queue/QueueSerializationTest.php |
|
| QueueSerializationTest::getFormId |
function |
core/tests/Drupal/KernelTests/Core/Queue/QueueSerializationTest.php |
|